%global extdir		caffeine@patapon.info
%global gschemadir	%{_datadir}/glib-2.0/schemas

%global commit ea96d16c2e755ea3d9561e46b982f8f31645c2e5
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20200226
%global fgittag %{gitdate}git%{shortcommit}

#Version 32 isn't git tagged
Name:		gnome-shell-extension-caffeine
Version:	32
Release:	1%{?fgittag:.%{fgittag}}%{?dist}
Summary:	Disable the screen saver and auto suspend in gnome shell

License:	GPLv2
URL:		https://github.com/eonpatapon/gnome-shell-extension-caffeine
Source0:	https://github.com/eonpatapon/%{name}/archive/%{commit}.tar.gz#/%{name}-%{commit}.tar.gz

BuildArch:	noarch

BuildRequires:	gettext
BuildRequires:	%{_bindir}/glib-compile-schemas

Requires:	gnome-shell-extension-common

%description
This extension allows the user to easily disable the screen saver and auto
suspend in gnome shell via an icon in the top bar. By default, this function
is also enabled if a full screen application is running, and can be configured
to disable gnome shell's night light as well.

%prep
%autosetup -n %{name}-%{commit}

%build
./update-locale.sh
glib-compile-schemas --strict --targetdir=%{extdir}/schemas/ %{extdir}/schemas

%install
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions
cp -ar %{extdir} %{buildroot}%{_datadir}/gnome-shell/extensions/%{extdir}
%find_lang %{name} --all-name

# Fedora and EPEL 8 handles post scripts via triggers
%if 0%{?rhel} && 0%{?rhel} <= 7
%postun
if [ $1 -eq 0 ] ; then
	%{_bindir}/glib-compile-schemas %{gschemadir} &> /dev/null || :
fi

%posttrans
%{_bindir}/glib-compile-schemas %{gschemadir} &> /dev/null || :
%endif

%files -f %{name}.lang
%license COPYING
%{_datadir}/gnome-shell/extensions/%{extdir}

%changelog
* Wed Jan 20 2021 Jeremy Newton <alexjnewt at hotmail dot com> - 32-1.20200226gitea96d16
- Initial package (for epel 7)
